from enigma import eTimer, loadPic, getExif, eServiceReference, eServiceCenter, eTimer
from Screens.Screen import Screen
from Screens.ServiceInfo import ServiceInfoList, ServiceInfoListEntry
from Components.ActionMap import ActionMap, NumberActionMap
from Components.Button import Button
from Components.Pixmap import Pixmap, MovingPixmap
from Components.Label import Label

from Components.ConfigList import ConfigList
from Components.config import *

from Tools.Directories import resolveFilename, pathExists, createDir, SCOPE_MEDIA
from Components.FileList import FileEntryComponent, FileList
from Components.MediaPlayer import PlayList, PlaylistEntryComponent
from Components.AVSwitch import AVSwitch

from Plugins.Plugin import PluginDescriptor

def getAspect():
	val = AVSwitch().getAspectRatioSetting()
	return val/2

#------------------------------------------------------------------------------------------

class PermanentTimeShiftSetup(Screen):
	skin = """
		<screen position="70,90" size="580,435" title="Settings" >
			<widget name="liste" position="5,5" size="480,335" />
		</screen>"""
	
	def __init__(self, session):
		self.skin = PermanentTimeShiftSetup.skin
		Screen.__init__(self, session)

		self["actions"] = NumberActionMap(["SetupActions"],
		{
			"cancel": self.Exit,
			"left": self.keyLeft,
			"right": self.keyRight,
			"0": self.keyNumber,
			"1": self.keyNumber,
			"2": self.keyNumber,
			"3": self.keyNumber,
			"4": self.keyNumber,
			"5": self.keyNumber,
			"6": self.keyNumber,
			"7": self.keyNumber,
			"8": self.keyNumber,
			"9": self.keyNumber
		}, -1)
		
		self.list = []
		self["liste"] = ConfigList(self.list)
		
	def keyLeft(self):
		self["liste"].handleKey(KEY_LEFT)

	def keyRight(self):
		self["liste"].handleKey(KEY_RIGHT)
		
	def keyNumber(self, number):
		self["liste"].handleKey(KEY_0 + number)

	def Exit(self):
		self.close()
		
#------------------------------------------------------------------------------------------

def main(session, **kwargs):
	session.open(PermanentTimeShiftSetup)

def Plugins(**kwargs):
    try:
 	return [PluginDescriptor(name="Permanent Timeshift", description=_("Permanent Timeshift Plugin"), where = PluginDescriptor.WHERE_PLUGINMENU, icon="permanenttimeshift.png", fnc=main),
			PluginDescriptor(name="Permanent Timeshift", description=_("Permanent Timeshift Plugin"), where = PluginDescriptor.WHERE_EXTENSIONSMENU, icon="permanenttimeshift.png", fnc=main)]
    except:
        # for old images without Blue Button Extensions Menu !
 	return [PluginDescriptor(name="Permanent Timeshift", description=_("Permanent Timeshift Plugin"), where = PluginDescriptor.WHERE_PLUGINMENU, icon="permanenttimeshift.png", fnc=main)]